package com.yunzhi.dianyang.controller;

import com.yunzhi.dianyang.common.BaseController;
import com.yunzhi.dianyang.common.ResponseBean;
import com.yunzhi.dianyang.service.ITaPersonService;
import com.yunzhi.dianyang.service.ITaPvService;
import com.yunzhi.dianyang.service.ITaRegisterService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
    * 分享 前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */

@Api(tags = "查询统计")
@RestController
@RequestMapping("/")
public class StatisController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(StatisController.class);

    @Autowired
    ITaRegisterService iTaRegisterService;

    @Autowired
    ITaPvService iTaPvService;

    @Autowired
    ITaPersonService iTaPersonService;


    @RequestMapping(value="/admin/stat-total",method= RequestMethod.GET)
    @ApiOperation(value="总数统计", notes = "总数统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean statTotal() throws Exception {
        // 总报名数
        long totalReg = iTaRegisterService.count();
        // 总 PV
        long totalPV = iTaPvService.count();
        // 总 UV
        long totalUV = iTaPersonService.count();

        Map<String, Object> res = new HashMap<>();
        res.put("reg", totalReg);
        res.put("pv", totalPV);
        res.put("uv", totalUV);

        return ResponseBean.success(res);
    }

}
