package com.yunzhi.dianyang.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.dianyang.common.BaseController;
import com.yunzhi.dianyang.common.ResponseBean;
import com.yunzhi.dianyang.common.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import com.yunzhi.dianyang.service.ITdCityService;
import com.yunzhi.dianyang.entity.TdCity;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
    *  前端控制器
    * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */

@Api(tags = "")
@RestController
@RequestMapping("/")
public class TdCityController extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(TdCityController.class);

    @Autowired
    public ITdCityService iTdCityService;


    /**
     * 分页查询列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    @RequestMapping(value="/{client}/city",method= RequestMethod.GET)
    @ApiOperation(value="列表", notes = "列表", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean tdCityList(@ApiParam("级别, 1省份, 2城市, 3区县") @RequestParam(value ="level",defaultValue = "1") Integer level,
                                   @ApiParam("父级") @RequestParam(value ="parent", required = false) String parent) throws Exception{

        QueryWrapper<TdCity> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("leveltype", level);
        queryWrapper.eq(!StringUtils.isEmpty(parent), "parentid", parent);
        queryWrapper.orderByAsc("id");

        List<TdCity> result = iTdCityService.list(queryWrapper);
        return ResponseBean.success(result);
    }

}
