package com.yunzhi.dianyang.controller;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.yunzhi.dianyang.common.*;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
public class WxMpController extends BaseController {

    @Value("${yz.mp.jssdk}")
    public String jssdkAPI;

    @Autowired
    HttpUtils httpUtils;

    @ApiOperation("获取JSSDK相关")
    @GetMapping("/wx/jssdk")
    public ResponseBean jssdk(@RequestParam("url") String url) throws Exception {
        String json = httpUtils.get(String.format(jssdkAPI, url));
        JSONObject jsonObject = JSONUtil.parseObj(json);

        if (jsonObject.getInt("code") == ResponseBean.CODE_SUCCESS) {
            return ResponseBean.success(jsonObject.get("data"));
        } else {
            return ResponseBean.error(jsonObject.getStr("message"), ResponseBean.ERROR_UNAVAILABLE);
        }

    }
}
