package com.yunzhi.dianyang.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;

import com.yunzhi.dianyang.common.excelConverter.LocalDateTimeConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 报名表
 * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaRegister对象", description="报名表")
public class TaRegister implements Serializable {

    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    @ExcelIgnore
    @ApiModelProperty(value = "报名ID")
    @TableId(value = "reg_id", type = IdType.UUID)
    private String regId;

    @ColumnWidth(20)
    @ExcelProperty(value = "姓名", index = 1)
    @ApiModelProperty(value = "名称")
    private String name;

    @ExcelIgnore
    @ApiModelProperty(value = "性别")
    private Integer sex;

    @ColumnWidth(30)
    @ExcelProperty(value = "手机号", index = 2)
    @ApiModelProperty(value = "手机号")
    private String phone;

    @ColumnWidth(20)
    @ExcelProperty(value = "身份", index = 3)
    @ApiModelProperty(value = "身份")
    private String personType;

    @ColumnWidth(50)
    @ExcelProperty(value = "意向产品", index = 5)
    @ApiModelProperty(value = "意向产品")
    private String interestTo;

    @ExcelIgnore
    @ApiModelProperty(value = "地区编码")
    private String areaCode;

    @ColumnWidth(30)
    @ExcelProperty(value = "所在地", index = 4)
    @ApiModelProperty(value = "地区名称")
    private String areaName;

    @ExcelIgnore
    @ApiModelProperty(value = "状态")
    private Integer state;

    @ColumnWidth(50)
    @ExcelProperty(value = "报名时间", index = 6, converter = LocalDateTimeConverter.class)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
