package com.yunzhi.dianyang.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.dianyang.entity.TaRegister;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 报名表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */
@Mapper
public interface TaRegisterMapper extends BaseMapper<TaRegister> {

    IPage<TaRegister> getPageBy(IPage<TaRegister> pg,
                                @Param("name") String name,
                                @Param("phone") String phone,
                                @Param("personType") String personType,
                                @Param("area") String area,
                                @Param("start") LocalDateTime start,
                                @Param("end") LocalDateTime end);

    List<TaRegister> getListBy(@Param("name") String name,
                               @Param("phone") String phone,
                               @Param("personType") String personType,
                               @Param("area") String area,
                               @Param("start") LocalDateTime start,
                               @Param("end") LocalDateTime end);
}
