package com.yunzhi.dianyang.service.impl;

import com.yunzhi.dianyang.common.DateUtils;
import com.yunzhi.dianyang.entity.TaPv;
import com.yunzhi.dianyang.mapper.TaPvMapper;
import com.yunzhi.dianyang.service.ITaPvService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.dianyang.vo.ChartParam;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * pv 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-02-24
 */
@Service
public class TaPvServiceImpl extends ServiceImpl<TaPvMapper, TaPv> implements ITaPvService {

    @Override
    public List<ChartParam> statisPVDaily(String startDate, Integer days) {
        LocalDateTime start = DateUtils.from(startDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        LocalDateTime endDate = start.plusDays(days);

        return baseMapper.statisPVDaily(startDate, DateUtils.toString(endDate, "yyyy-MM-dd"), days);
    }

    @Override
    public List<ChartParam> statisUVDaily(String startDate, Integer days) {
        LocalDateTime start = DateUtils.from(startDate + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        LocalDateTime endDate = start.plusDays(days);

        return baseMapper.statisUVDaily(startDate, DateUtils.toString(endDate, "yyyy-MM-dd"), days);
    }
}
